﻿/*@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400&display=swap');*/
@import url("https://fonts.googleapis.com/css?family=Roboto:400,500");
/*
body {
    font-family: 'Roboto', sans-serif;
    background: #242424;
    background: #121212;
    color: whitesmoke;
}
*/

html, body {
    font-family: 'Roboto', sans-serif;
    background: var(--primary-background);
    color: var(--primary-text-color);
    height: 100%;
}

.myLogin {
    text-align: center !important;
    height: 100%;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    /*padding-top: 40px;
    padding-bottom: 40px;*/
    height: 80vh;
    /*background-color: #f5f5f5;*/
    /*background-color: #121212;*/
}

.form-signin {
    width: 100%;
    max-width: 390px;
    padding: 40px;
    margin: auto;
    /* color: rgba(255, 255, 255, 0.87) !important;*/
    border-radius: 10px;
    border-style: solid;
    border-width: 0.5px;
    color: var(--primary-text-color);
    /*background-color: #232323;*/
    background-color: var(--primary-tile-color);
    border-color: var(--primary-border-color);
}

.form-signin .checkbox {
    font-weight: 400;
}

.form-signin .form-control {
    position: relative;
    box-sizing: border-box;
    height: auto;
    padding: 10px;
    font-size: 16px;
}

    .form-signin .form-control:focus {
        z-index: 2;
    }

.form-signin input[type="text"] {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    background-color: #1e1e1e;
}

.form-signin input[type="password"] {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    background-color: #1e1e1e;
}

.loginButton {
    width: 200px;
    height: 50px;
    border-radius: 5px;
}

.formColor {
    background-color: #1e1e1e;
}


.buttonTheme {
    /*background-color: var(--primary-button-background);*/
    color: whitesmoke;
}


/* ---------------------------------------------------
    SIDEBAR STYLE
----------------------------------------------------- */
#sidebar {
    width: 300px;
    position: fixed;
    top: 0;
    left: -300px;
    height: 100vh;
    z-index: 999;
    transition: all 0.5s;
    box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.2);
    background-color: var(--primary-menu-background);
    color: var(--primary-text-color:);
    overflow: auto;
}

    #sidebar.active {
        left: 0;
    }

#dismiss {
    width: 35px;
    height: 35px;
    line-height: 35px;
    text-align: center;
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
}

.overlay {
    display: none;
    position: fixed;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.7);
    z-index: 998;
    opacity: 0;
    transition: all 0.5s ease-in-out;
}

.overlay.active {
    display: block;
    opacity: 1;
}

#sidebar .sidebar-header {
    padding: 10px;
    background: var(--primary-background);
    color: var(--primary-title-color);
}

#dismiss:hover {
    color: var(--primary-title-color);
}

#sidebar .navbar-brand {
    font-size: 1.1rem;
}

#sidebar .oi {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

#sidebar .nav-item {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

#sidebar .nav-item:first-of-type {
    padding-top: 1rem;
}

#sidebar .nav-item:last-of-type {
    padding-bottom: 1rem;
}

#sidebar .nav-item a {
    color: #d7d7d7;
    border-radius: 4px;
    height: 3rem;
    display: flex;
    align-items: center;
    line-height: 3rem;
}

#sidebar .nav-item a.active {
    background-color: rgba(255,255,255,0.25);
    color: white;
}

#sidebar .nav-item a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

.navbarDarkTheme {
    background-color: #181818;
}


.spinner-container {
    display: flex;
    flex-direction: column;
    position: fixed;
    z-index: 999;
    top: 50%;
    left: 50%;
}


.sk-circle .sk-child:before {
    background-color: var(--primary-title-color); /*#03DAC5 !important;  This is a teal color */
}

.adminOverviewCards {
    background-color: #323232;
    height: 150px;
}

.adminAlertsGraph {
    height: 290px;
}

.navigationStyle {
    text-decoration: underline;
    cursor: pointer;
}

.chipFormat {
    border-radius: 5px;
    padding: 0.2rem;
    display: inline;
}

.New, .Operational {
    background-color: #2C9DD4;
    color: black;
}

.Active, .Healthy, .Low {
    background-color: #4AB884;
    color: black;
}

.Warning, .Offline {
    background-color: #FEDA7A;
    color: black;
}

.High {
    background-color: #FF8957;
    color: black;
}


.Error, .PRD {
    background-color: #CF6679;
    color: black;
}

.Info {
    /*background-color: #b19cd9;
    background-color: #FEDA7A;*/
    background-color: #4AB884;
    color: black;
    font-size: 1.2rem;
}

.Auto {
    background-color: #FF8957;
    color: black;
}

.Boost {
    background-color: #4AB884;
    color: black;
}

.Blue {
    background-color: #2C9DD4;
    color: black;
    font-size: 1.2rem;
}

.Red {
    background-color: #CF6679;
    color: black;
    font-size: 1.2rem;
}

.fitGraph {
    height: 100px;
}

/*
.Removed {
    background-color: red;
    background-color: #BB86FC;
    color: black;
}


.Offline {
    background-color: black;
    color: white;
}
*/

.NA, .Removed {
    background-color: lightgrey;
    color: black;
}

/*
.darkestBar {
    background-color: #353535;
    background-color: #303030; 
}*/

.inputBar {
    /*background-color: darkgrey;
    background-color: #303030;*/
    background: transparent;
    border: none;
    width: 100%;
    color: whitesmoke;

}

.inputTemp {
    background: transparent;
    border: none;
    color: whitesmoke;
}

.selectBar {
    background-color: #303030;
}

/* To make the selects line up*/
select {
    margin-left: -2px;
}


.customSpacer {
    border-bottom-color: #565656;
    border-bottom-style: solid;
    border-bottom-width: 1px;
    background-color: #303030;
    margin-left: 0px;
    margin-right: 0px;
    font-size: 13px;
    padding: 3px;
    height: 37px;
    align-content: center;
}

.customSpacer:hover {
    background: #505050;
}

#spanhov:hover {
    color: var(--primary-title-color);
    cursor: pointer;
}

.card {
    background-color: #303030;
}

.btn-circle.btn-xl {
    /*background-color: green;*/
    width: 120px;
    height: 120px;
    padding: 10px 16px;
    border-radius: 50%;
    font-size: 1.3rem;
    text-align: center;
}

.btn-circle.btn-sm {
    /*background-color: green;*/
    width: 40px;
    height: 40px;
    border-radius: 50%;
    font-size: 20px;
    text-align: center;
}

.btn-md {
    width: 200px;
    height: 50px;
}

.fullScreen {
    height: 100%;
}

.containerStretch {
    height: 90%;
}

.currentTemp {
    border-radius: 2px;
    border-color: #303030;
    border-style: solid;
    border-radius: 0.25rem;
}

.remainingTemp {
    background-color: #303030;
}

.progress {
    background-color: #303030;
    height: 1.5rem;
}

.userDeviceName {
    font-size: 1.5rem;
    font-weight: 500;
}

.adminPageTitle {
    font-size: 2.0rem;
    font-weight: 500;
    color: greenyellow;
    padding-bottom: 20px;
}


.userClientName {
    font-size: 1.5rem;
    font-weight: 500;
    color: greenyellow;
}

.gridTitle {
    font-size: 1.5rem;
    font-weight: 200;
    color: deepskyblue;
}

.btnUser {
    width: 120px;
    margin: 0.2rem;
    height: 50px;
}
/*
    00dp: #121212
    01dp: #1D1D1D
    02dp: #212121
    03dp: #242424
    04dp: #272727
    06dp: #2C2C2C
    08dp: #2D2D2D
    12dp: #323232
    16dp: #353535
    24dp: #373737
*/

.sk-circle {
    margin: 5px auto;
    width: 40px;
    height: 40px;
    position: relative;
}

    .sk-circle .sk-child {
        width: 100%;
        height: 100%;
        position: absolute;
        left: 0;
        top: 0;
    }

    .sk-circle .sk-child:before {
        content: '';
        display: block;
        margin: 0 auto;
        width: 15%;
        height: 15%;
        background-color: #03DAC5;
        border-radius: 100%;
        -webkit-animation: sk-circleBounceDelay 1.2s infinite ease-in-out both;
        animation: sk-circleBounceDelay 1.2s infinite ease-in-out both;
    }

    .sk-circle .sk-circle2 {
        -webkit-transform: rotate(30deg);
        -ms-transform: rotate(30deg);
        transform: rotate(30deg);
    }

    .sk-circle .sk-circle3 {
        -webkit-transform: rotate(60deg);
        -ms-transform: rotate(60deg);
        transform: rotate(60deg);
    }

    .sk-circle .sk-circle4 {
        -webkit-transform: rotate(90deg);
        -ms-transform: rotate(90deg);
        transform: rotate(90deg);
    }

    .sk-circle .sk-circle5 {
        -webkit-transform: rotate(120deg);
        -ms-transform: rotate(120deg);
        transform: rotate(120deg);
    }

    .sk-circle .sk-circle6 {
        -webkit-transform: rotate(150deg);
        -ms-transform: rotate(150deg);
        transform: rotate(150deg);
    }

    .sk-circle .sk-circle7 {
        -webkit-transform: rotate(180deg);
        -ms-transform: rotate(180deg);
        transform: rotate(180deg);
    }

    .sk-circle .sk-circle8 {
        -webkit-transform: rotate(210deg);
        -ms-transform: rotate(210deg);
        transform: rotate(210deg);
    }

    .sk-circle .sk-circle9 {
        -webkit-transform: rotate(240deg);
        -ms-transform: rotate(240deg);
        transform: rotate(240deg);
    }

    .sk-circle .sk-circle10 {
        -webkit-transform: rotate(270deg);
        -ms-transform: rotate(270deg);
        transform: rotate(270deg);
    }

    .sk-circle .sk-circle11 {
        -webkit-transform: rotate(300deg);
        -ms-transform: rotate(300deg);
        transform: rotate(300deg);
    }

    .sk-circle .sk-circle12 {
        -webkit-transform: rotate(330deg);
        -ms-transform: rotate(330deg);
        transform: rotate(330deg);
    }

    .sk-circle .sk-circle2:before {
        -webkit-animation-delay: -1.1s;
        animation-delay: -1.1s;
    }

    .sk-circle .sk-circle3:before {
        -webkit-animation-delay: -1s;
        animation-delay: -1s;
    }

    .sk-circle .sk-circle4:before {
        -webkit-animation-delay: -0.9s;
        animation-delay: -0.9s;
    }

    .sk-circle .sk-circle5:before {
        -webkit-animation-delay: -0.8s;
        animation-delay: -0.8s;
    }

    .sk-circle .sk-circle6:before {
        -webkit-animation-delay: -0.7s;
        animation-delay: -0.7s;
    }

    .sk-circle .sk-circle7:before {
        -webkit-animation-delay: -0.6s;
        animation-delay: -0.6s;
    }

    .sk-circle .sk-circle8:before {
        -webkit-animation-delay: -0.5s;
        animation-delay: -0.5s;
    }

    .sk-circle .sk-circle9:before {
        -webkit-animation-delay: -0.4s;
        animation-delay: -0.4s;
    }

    .sk-circle .sk-circle10:before {
        -webkit-animation-delay: -0.3s;
        animation-delay: -0.3s;
    }

    .sk-circle .sk-circle11:before {
        -webkit-animation-delay: -0.2s;
        animation-delay: -0.2s;
    }

    .sk-circle .sk-circle12:before {
        -webkit-animation-delay: -0.1s;
        animation-delay: -0.1s;
    }

@-webkit-keyframes sk-circleBounceDelay {
    0%, 80%, 100% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }

    40% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@keyframes sk-circleBounceDelay {
    0%, 80%, 100% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }

    40% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

.navsubheading {
    font-size: 0.8rem !important;
    color: grey;
    border-bottom: solid;
    border-bottom-width: 0.2px;
    border-bottom-color: grey;
    margin: 15px;
}

.validation-message {
    color: #CF6679;
}

/* This is my toast notification */

/* The snackbar - position it at the bottom and in the middle of the screen */
#snackbar {
    visibility: hidden; /* Hidden by default. Visible on click */
    min-width: 250px; /* Set a default minimum width */
    margin-left: -125px; /* Divide value of min-width by 2 */
    background-color: #2D2D2D; /* Black background color */
    color: #fff; /* White text color */
    text-align: center; /* Centered text */
    border-radius: 10px; /* Rounded borders */
    padding: 16px; /* Padding */
    position: fixed; /* Sit on top of the screen */
    z-index: 1; /* Add a z-index if needed */
    left: 50%; /* Center the snackbar */
    bottom: 30px; /* 30px from the bottom */
    height: 75px;
    line-height: 37.5px;
    border-color: whitesmoke;
    border-width: 1px;
    border-style: solid;
}

.alignSnackbarSpinner {
    margin-top: -4px;
}

.spinnerCentrePage {
    padding: 35vh 0;
}


/* Show the snackbar when clicking on a button (class added with JavaScript) */
#snackbar.show {
    visibility: visible; /* Show the snackbar */
    -webkit-animation: fadein 0.5s;
    animation: fadein 0.5s;
}

    #snackbar.fade {
        background-color: #333; /* Black background color */
        visibility: visible; /* Show the snackbar */
        -webkit-animation: fadeout 0.5s;
        animation: fadeout 0.5s;
    }

    #snackbar.fade {
        visibility: visible; /* Show the snackbar */
        -webkit-animation: fadeout 0.5s;
        animation: fadeout 0.5s;
    }

    #snackbar.success {
        visibility: visible; /* Show the snackbar */
        background-color: #4AB884; /* Black background color */
        color: black;
    }

    #snackbar.hide {
        visibility: hidden; /* Show the snackbar */
    }

/* Animations to fade the snackbar in and out */
@-webkit-keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    }

    to {
        bottom: 30px;
        opacity: 1;
    }
}

@keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    }

    to {
        bottom: 30px;
        opacity: 1;
    }
}

@-webkit-keyframes fadeout {
    from {
        bottom: 30px;
        opacity: 1;
    }

    to {
        bottom: 0;
        opacity: 0;
    }
}

@keyframes fadeout {
    from {
        bottom: 30px;
        opacity: 1;
    }

    to {
        bottom: 0;
        opacity: 0;
    }
}
